GET
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

Query Parameters

page
integer
default:1

Page number to retrieve.

limit
integer
default:20

Number of items per page. Server caps at 100.

status
string[]

Filter chunks by indexing status, e.g. completed, indexing, error.

keyword
string

Search keyword.

Response

200 - application/json

List of chunks.

data
object[]

List of chunks.

doc_form
string

Document chunking mode used by this document.

total
integer

Total number of matching chunks.

has_more
boolean

Whether more items exist on the next page.

limit
integer

Number of items per page.

page
integer

Current page number.